include:
  - project: 'pipelines2/templates/nodejs-template'
    ref: main
    file: 'base-template.yml'

container_scanning:
  variables:
    CS_IMAGE: "${CI_REGISTRY_IMAGE}:${CI_COMMIT_REF_NAME}-${CI_COMMIT_SHORT_SHA}"

sonar-test-job:
  variables:
    SONAR_ORGANIZATION : "demo-group1842728"
    SONAR_PROJECT_NAME: $CI_PROJECT_NAME
    SONAR_PROJECT_KEY: "demo-group1842728_demoapp"
    SONAR_PROJECT_VERSION: $CI_COMMIT_REF_SLUG-$CI_COMMIT_SHORT_SHA
    SONAR_URL : "https://sonarcloud.io"
